## python-tooz 1.64.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
six>=1.9.0 # MIT
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
voluptuous>=0.8.9 # BSD License
msgpack>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
tenacity>=3.2.1  # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=1.2.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
grpcio>=1.0.0,<1.16.0

=== doc/requirements.txt ===
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.11.0 # Apache-2.0
reno>=1.8.0 # Apache-2.0

# Install dependencies for tooz so that autodoc works.
python-consul>=0.4.7 # MIT License
sysv-ipc>=0.6.8 # BSD License
zake>=0.1.6 # Apache-2.0
redis>=2.10.0 # MIT
psycopg2>=2.5 # LGPL/ZPL
PyMySQL>=0.6.2 # MIT License
pymemcache!=1.3.0,>=1.2.9 # Apache 2.0 License
etcd3>=0.6.2 # Apache-2.0
etcd3gw>=0.1.0 # Apache-2.0

=== debian/changelog ===
python-tooz (1.64.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2019 10:37:56 +0000

python-tooz (1.64.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-grpcio.patch: Drop requirement for grpcio - this was done
    to resolve gate issue upstream and is not required in distro.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:44:33 +0000

python-tooz (1.63.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Drop, included upstream.
  * d/control: Use python3-sphinx.
  * d/control: Switch to stestr for unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 10:38:32 +0000

python-tooz (1.62.0-0ubuntu2) cosmic; urgency=medium

  * d/p/ensure-consistent-encoding-of-strings-for-ID.patch: Cherry
    pick inflight fix to resolve encoding issues under Python 3
    (LP: #1530888).

 -- James Page <james.page@ubuntu.com>  Tue, 11 Sep 2018 11:14:22 -0600

python-tooz (1.62.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:49:37 -0400

python-tooz (1.59.0-0ubuntu2) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python dep8 tests.
    - d/control: Drop mariadb-server from Build-Depends as Ubuntu has
      mysql-server in main.
    - d/control: Add python{3}-sysv-ipc to Suggests to binary packages.
    - d/gbp.conf: Retain for pristine-tar.
    - d/rules: Enable unit test execution.
    - d/watch: Get tarball from tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 May 2018 10:37:10 -0400

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.6),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 memcached,
 mysql-server,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python-concurrent.futures (>= 3.0),
 python-coverage,
 python-enum34,
 python-eventlet,
 python-fasteners (>= 0.7),
 python-fixtures,
 python-futurist (>= 1.2.0),
 python-kazoo,
 python-mock,
 python-msgpack (>= 0.4.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-psycopg2 (>= 2.5),
 python-pymemcache (>= 1.2.9),
 python-pymysql (>= 0.6.2),
 python-redis (>= 2.10.0),
 python-reno (>= 1.8.0),
 python-requests,
 python-six (>= 1.9.0),
 python-stestr,
 python-stevedore (>= 1:1.16.0),
 python-sysv-ipc (>= 0.6.8),
 python-tenacity (>= 3.2.1),
 python-testscenarios,
 python-testtools,
 python-voluptuous (>= 0.8.9),
 python-zake (>= 0.1.6),
 python3-eventlet,
 python3-fasteners (>= 0.7),
 python3-fixtures,
 python3-futurist (>= 1.2.0),
 python3-kazoo,
 python3-mock,
 python3-msgpack (>= 0.4.0),
 python3-openstackdocstheme (>= 1.11.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.6.2),
 python3-redis (>= 2.10.0),
 python3-reno (>= 1.8.0),
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stestr,
 python3-stevedore (>= 1:1.16.0),
 python3-sysv-ipc (>= 0.6.8),
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous (>= 0.8.9),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0),
 python-enum34,
 python-fasteners (>= 0.7),
 python-futurist (>= 1.2.0),
 python-kazoo,
 python-msgpack (>= 0.4.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-pbr (>= 1.6),
 python-pymemcache,
 python-pymysql,
 python-redis,
 python-requests,
 python-six (>= 1.9.0),
 python-stevedore (>= 1:1.16.0),
 python-tenacity (>= 3.2.1),
 python-voluptuous (>= 0.8.9),
 python-zake,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners (>= 0.7),
 python3-futurist (>= 1.2.0),
 python3-kazoo,
 python3-msgpack (>= 0.4.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-pbr (>= 1.6),
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.16.0),
 python3-tenacity (>= 3.2.1),
 python3-voluptuous (>= 0.8.9),
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

## python-tooz 1.66.2

=== requirements.txt ===
--- 
+++ 
@@ -13,4 +13,3 @@
 futurist>=1.2.0 # Apache-2.0
 oslo.utils>=3.15.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-grpcio>=1.0.0,<1.16.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-sphinx>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4' # BSD
 openstackdocstheme>=1.11.0 # Apache-2.0
 reno>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-tooz (1.66.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 22:40:54 +0000

python-tooz (1.66.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:37:00 +0100

python-tooz (1.66.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-grpcio.patch: Dropped. grpcio has been moved to setup.cfg [extras].

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:52:27 -0400

python-tooz (1.64.2-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 17:07:21 -0400

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 memcached,
 mysql-server,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-coverage (>= 3.6),
 python3-eventlet,
 python3-fasteners (>= 0.7),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-kazoo,
 python3-mock (>= 2.0),
 python3-msgpack (>= 0.4.0),
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr (>= 0.8.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.6.2),
 python3-redis (>= 2.10.0),
 python3-reno (>= 1.8.0),
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.16.0),
 python3-subunit (>= 0.0.18),
 python3-sysv-ipc (>= 0.6.8),
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 python3-voluptuous (>= 0.8.9),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners (>= 0.7),
 python3-futurist (>= 1.2.0),
 python3-kazoo,
 python3-msgpack (>= 0.4.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-pbr (>= 1.6),
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.16.0),
 python3-tenacity (>= 3.2.1),
 python3-voluptuous (>= 0.8.9),
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tooz.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
	$(CURDIR)/debian/check-memcached-runs
	TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2
	$(CURDIR)/debian/check-memcached-off
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build TEST_PID_MEMCACHE.pid .testrepository

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-tooz 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,10 @@
 pbr>=1.6 # Apache-2.0
 stevedore>=1.16.0 # Apache-2.0
 six>=1.9.0 # MIT
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 voluptuous>=0.8.9 # BSD License
 msgpack>=0.4.0 # Apache-2.0
 fasteners>=0.7 # Apache-2.0
 tenacity>=3.2.1  # Apache-2.0
-futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=1.2.0 # Apache-2.0
 oslo.utils>=3.15.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0 # BSD
 openstackdocstheme>=1.11.0 # Apache-2.0
 reno>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-tooz (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:36:36 -0400

python-tooz (1.67.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:22:29 +0000

python-tooz (1.67.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop grpcio from (Build-)Depends. Not needed at distro level.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 10:19:19 -0500

python-tooz (1.67.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from openstack.org.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Drop mariadb-server from Build-Depends as Ubuntu has
      mysql-server in main.
    - d/control: Move python3-grpcio to Suggests as it is not in main.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 10 Dec 2019 15:45:58 +0100

python-tooz (1.66.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:32:29 +0200

python-tooz (1.66.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 22:37:52 +0200

python-tooz (1.64.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 14:41:45 +0200

python-tooz (1.64.2-1) experimental; urgency=medium

  [ Michal Arbet ]
  * Apply patch from Ubuntu (Closes: #898740):
    - d/control: Enable autopkgtest-pkg-python dep8 tests.
    - d/control: Add python{3}-sysv-ipc to Suggests for IPC driver.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Removed all patches, applied upstream.
  * Run unit tests with installed Python module.
  * Blacklist failing test:
    - tooz.tests.test_coordination.TestAPI.test_get_lock_multiple_coords

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 14:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -19,6 +20,7 @@
  net-tools,
  postgresql,
  postgresql-server-dev-all,
+ python3-consul (>= 0.4.7),
  python3-coverage (>= 3.6),
  python3-eventlet,
  python3-fasteners (>= 0.7),
@@ -28,7 +30,6 @@
  python3-mock (>= 2.0),
  python3-msgpack (>= 0.4.0),
  python3-openstackdocstheme (>= 1.11.0),
- python3-os-testr (>= 0.8.0),
  python3-oslo.serialization (>= 1.10.0),
  python3-oslo.utils (>= 3.15.0),
  python3-psycopg2 (>= 2.5),
@@ -48,7 +49,7 @@
  python3-voluptuous (>= 0.8.9),
  python3-zake (>= 0.1.6),
  subunit,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
 Homepage: https://github.com/openstack/tooz
@@ -58,6 +59,8 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-bootstrap,
+ libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: Coordination library for distributed systems. - doc

## python-tooz 2.7.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
 stevedore>=1.16.0 # Apache-2.0
-six>=1.9.0 # MIT
 voluptuous>=0.8.9 # BSD License
 msgpack>=0.4.0 # Apache-2.0
 fasteners>=0.7 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0 # BSD
-openstackdocstheme>=1.11.0 # Apache-2.0
-reno>=1.8.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
+openstackdocstheme>=2.2.1 # Apache-2.0
+reno>=3.1.0 # Apache-2.0
 
 # Install dependencies for tooz so that autodoc works.
 python-consul>=0.4.7 # MIT License

=== debian/changelog ===
python-tooz (2.7.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 14:33:54 +0200

python-tooz (2.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 17:56:36 +0200

python-tooz (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:47:11 +0200

python-tooz (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-ddt as build-depends.
  * Add python3-etcd3 and python3-etcd3gw (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 23:12:18 +0200

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 mariadb-server | mysql-server,
 memcached,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-consul,
 python3-coverage,
 python3-ddt (>= 1.2.1),
 python3-etcd3,
 python3-etcd3gw,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-futurist,
 python3-grpcio,
 python3-kazoo,
 python3-msgpack,
 python3-nose,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-psycopg2,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-sysv-ipc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous,
 python3-zake,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tooz
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tooz.git
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-etcd3,
 python3-etcd3gw,
 python3-fasteners,
 python3-futurist,
 python3-grpcio,
 python3-kazoo,
 python3-msgpack,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-stevedore,
 python3-tenacity,
 python3-voluptuous,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

## python-tooz 2.7.2

=== debian/changelog ===
python-tooz (2.7.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add SALSA_CI_DISABLE_REPROTEST: 1.

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 11:59:05 +0000

## python-tooz 2.8.0

=== requirements.txt ===
--- 
+++ 
@@ -8,5 +8,5 @@
 fasteners>=0.7 # Apache-2.0
 tenacity>=3.2.1  # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-tooz (2.8.0-0ubuntu2~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Dec 2020 14:18:17 +0000

python-tooz (2.8.0-0ubuntu2) hirsute; urgency=medium

  * d/control: Remove unnecessary build-depend (pre-commit).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 13:32:21 +0000

python-tooz (2.8.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:10:05 +0000

python-tooz (2.7.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:54:03 +0000

python-tooz (2.7.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 27 Jul 2020 06:21:26 +0000

python-tooz (2.5.0-0ubuntu2) groovy; urgency=medium

  * d/control: Demote python3-zake to Suggests as it is an optional
    runtime dependency.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jun 2020 15:44:58 +0100

python-tooz (2.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends and Suggests with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 10:54:24 -0400

python-tooz (2.0.0-0ubuntu2) groovy; urgency=medium

  * Move python3-kazoo to Suggests (LP: #1880705)

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 27 May 2020 14:01:38 +0100

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 memcached,
 mysql-server,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-consul (>= 0.4.7),
 python3-coverage (>= 3.6),
 python3-ddt (>= 1.2.1),
 python3-etcd3,
 python3-etcd3gw,
 python3-eventlet,
 python3-fasteners (>= 0.7),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-kazoo,
 python3-mock (>= 2.0),
 python3-msgpack (>= 0.4.0),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 4.7.0),
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.6.2),
 python3-redis (>= 2.10.0),
 python3-requests,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.16.0),
 python3-subunit (>= 0.0.18),
 python3-sysv-ipc (>= 0.6.8),
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 python3-voluptuous (>= 0.8.9),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tooz
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tooz
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners (>= 0.7),
 python3-futurist (>= 1.2.0),
 python3-msgpack (>= 0.4.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 1.6),
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.16.0),
 python3-tenacity (>= 3.2.1),
 python3-voluptuous (>= 0.8.9),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-etcd3,
 python3-etcd3gw,
 python3-kazoo,
 python3-sysv-ipc,
 python3-zake,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

## python-tooz 2.9.0

=== debian/changelog ===
python-tooz (2.9.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Jun 2021 16:05:18 +0000

python-tooz (2.9.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:08 +0000

## python-tooz 2.10.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 voluptuous>=0.8.9 # BSD License
 msgpack>=0.4.0 # Apache-2.0
 fasteners>=0.7 # Apache-2.0
-tenacity>=3.2.1  # Apache-2.0
+tenacity>=3.2.1,<7.0.0  # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-tooz (2.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:19:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/tooz/ tooz-(\d.*)\.tar\.gz

## python-tooz 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 voluptuous>=0.8.9 # BSD License
 msgpack>=0.4.0 # Apache-2.0
 fasteners>=0.7 # Apache-2.0
-tenacity>=3.2.1,<7.0.0  # Apache-2.0
+tenacity>=5.0.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

# Install dependencies for tooz so that autodoc works.
## consul
python-consul2>=0.0.16 # MIT License
## etcd
requests>=2.10.0 # Apache-2.0
## etcd3
etcd3>=0.12.0 # Apache-2.0
grpcio>=1.18.0
protobuf<4.0 # BSD License (3 clause)
## etcd3gw
etcd3gw!=0.2.6,>=0.1.0 # Apache-2.0
## zake
zake>=0.1.6 # Apache-2.0
## redis
redis>=3.1.0 # MIT
## postgresql
psycopg2>=2.5 # LGPL/ZPL
## mysql
PyMySQL>=0.6.2 # MIT License
## zookeeper
kazoo>=2.2 # Apache-2.0
## memcached
pymemcache!=1.3.0,>=1.2.9 # Apache 2.0 License
## ipc
sysv-ipc>=0.6.8 # BSD License

=== debian/changelog ===
python-tooz (3.1.0-3) unstable; urgency=medium

  * Remove nose as build-depends (Closes: #1018590).

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Oct 2022 09:14:33 +0200

python-tooz (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:11:45 +0200

python-tooz (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 14:15:28 +0200

python-tooz (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed Support_later_tenacity_versions.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 11:05:40 +0200

python-tooz (2.10.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:50:47 +0100

python-tooz (2.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Support_later_tenacity_versions.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 11:04:32 +0100

python-tooz (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:48:35 +0200

python-tooz (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 11:18:37 +0200

python-tooz (2.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:51:51 +0200

python-tooz (2.8.1-1) experimental; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 12:45:56 +0200

python-tooz (2.8.0-1) experimental; urgency=medium

  * Add SALSA_CI_DISABLE_REPROTEST: 1.
  * New upstream release.
  * Fixed min version of oslo.utils.
  * Bumped Standards-Version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 13:15:01 +0100

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 mariadb-server | mysql-server,
 memcached,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-consul,
 python3-coverage,
 python3-ddt,
 python3-etcd3,
 python3-etcd3gw,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-futurist,
 python3-grpcio,
 python3-kazoo,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-psycopg2,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-sysv-ipc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous,
 python3-zake,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tooz
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tooz.git
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-etcd3,
 python3-etcd3gw,
 python3-fasteners,
 python3-futurist,
 python3-grpcio,
 python3-kazoo,
 python3-msgpack,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-pbr,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-stevedore,
 python3-tenacity,
 python3-voluptuous,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tooz.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build TEST_PID_MEMCACHE.pid .stestr

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
	$(CURDIR)/debian/check-memcached-runs
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*))'
	$(CURDIR)/debian/check-memcached-off
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
	dh_sphinxdoc
endif

## python-tooz 3.2.0

=== debian/changelog ===
python-tooz (3.2.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Dec 2022 15:24:26 +0000

python-tooz (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:36:40 -0500

python-tooz (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Sep 2022 09:13:54 -0400

python-tooz (3.0.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Move python3-redis to Suggests as it is an
    optional driver.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 14:18:38 -0400

python-tooz (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:41:59 -0400

## python-tooz 4.1.0

=== debian/changelog ===
python-tooz (4.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:08:10 -0400

## python-tooz 4.2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ## etcd3
 etcd3>=0.12.0 # Apache-2.0
 grpcio>=1.18.0
-protobuf<4.0 # BSD License (3 clause)
+protobuf # BSD License (3 clause)
 ## etcd3gw
 etcd3gw!=0.2.6,>=0.1.0 # Apache-2.0
 ## zake

=== debian/changelog ===
python-tooz (4.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 05:16:28 +0000

python-tooz (4.2.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:44:50 -0400

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 memcached,
 mysql-server,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-consul2 (>= 0.0.16),
 python3-coverage (>= 3.6),
 python3-ddt (>= 1.2.1),
 python3-etcd3 (>= 0.12.0),
 python3-etcd3gw (>= 0.1.0),
 python3-eventlet,
 python3-fasteners (>= 0.7),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-grpcio (>= 1.18.0),
 python3-kazoo (>= 2.2),
 python3-mock (>= 2.0),
 python3-msgpack (>= 0.4.0),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 4.7.0),
 python3-protobuf,
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.6.2),
 python3-redis (>= 3.1.0),
 python3-requests (>= 2.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.16.0),
 python3-subunit (>= 0.0.18),
 python3-sysv-ipc (>= 0.6.8),
 python3-tenacity (>= 5.0.0),
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 python3-voluptuous (>= 0.8.9),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tooz
Homepage: https://opendev.org/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners (>= 0.7),
 python3-futurist (>= 1.2.0),
 python3-msgpack (>= 0.4.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 1.6),
 python3-pymemcache,
 python3-pymysql,
 python3-requests,
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.16.0),
 python3-tenacity (>= 5.0.0),
 python3-voluptuous (>= 0.8.9),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-etcd3,
 python3-etcd3gw,
 python3-kazoo,
 python3-redis,
 python3-sysv-ipc,
 python3-zake,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

## python-tooz 5.0.0

=== debian/changelog ===
python-tooz (5.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Drop (Build-)Depends for etcd3 driver as removed from
    project.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 13:14:38 +0000

## python-tooz 6.0.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -7,10 +7,6 @@
 python-consul2>=0.0.16 # MIT License
 ## etcd
 requests>=2.10.0 # Apache-2.0
-## etcd3
-etcd3>=0.12.0 # Apache-2.0
-grpcio>=1.18.0
-protobuf # BSD License (3 clause)
 ## etcd3gw
 etcd3gw!=0.2.6,>=0.1.0 # Apache-2.0
 ## zake

=== debian/changelog ===
python-tooz (6.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:06:07 +0000

=== debian/control ===
--- 
+++ 
@@ -23,13 +23,11 @@
  python3-consul2 (>= 0.0.16),
  python3-coverage (>= 3.6),
  python3-ddt (>= 1.2.1),
- python3-etcd3 (>= 0.12.0),
  python3-etcd3gw (>= 0.1.0),
  python3-eventlet,
  python3-fasteners (>= 0.7),
  python3-fixtures (>= 3.0.0),
  python3-futurist (>= 1.2.0),
- python3-grpcio (>= 1.18.0),
  python3-kazoo (>= 2.2),
  python3-mock (>= 2.0),
  python3-msgpack (>= 0.4.0),
@@ -37,7 +35,6 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.serialization (>= 1.10.0),
  python3-oslo.utils (>= 4.7.0),
- python3-protobuf,
  python3-psycopg2 (>= 2.5),
  python3-pymemcache (>= 1.2.9),
  python3-pymysql (>= 0.6.2),
@@ -92,7 +89,6 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-etcd3,
  python3-etcd3gw,
  python3-kazoo,
  python3-redis,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=tooz
 
 UPSTREAM_GIT := https://github.com/openstack/tooz.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build TEST_PID_MEMCACHE.pid .stestr

## python-tooz 6.3.0

=== requirements.txt ===
stevedore>=1.16.0 # Apache-2.0
voluptuous>=0.8.9 # BSD License
msgpack>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
tenacity>=5.0.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx>=2.0.0,!=2.1.0 # BSD
+sphinx>=2.0.0 # BSD
 openstackdocstheme>=2.2.1 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 
@@ -8,7 +8,7 @@
 ## etcd
 requests>=2.10.0 # Apache-2.0
 ## etcd3gw
-etcd3gw!=0.2.6,>=0.1.0 # Apache-2.0
+etcd3gw>=0.1.0 # Apache-2.0
 ## zake
 zake>=0.1.6 # Apache-2.0
 ## redis
@@ -20,6 +20,6 @@
 ## zookeeper
 kazoo>=2.2 # Apache-2.0
 ## memcached
-pymemcache!=1.3.0,>=1.2.9 # Apache 2.0 License
+pymemcache>=1.2.9 # Apache 2.0 License
 ## ipc
 sysv-ipc>=0.6.8 # BSD License

=== debian/changelog ===
python-tooz (6.3.0-0ubuntu1) plucky; urgency=medium

  * d/control: Drop, BD on python3-consul, optional runtime dependency
    and RM'ed in Debian.
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream point release.
  * d/rules: Tweak test exclusion list for new release.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2025 10:42:00 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  net-tools,
  postgresql,
  postgresql-server-dev-all,
- python3-consul2 (>= 0.0.16),
  python3-coverage (>= 3.6),
  python3-ddt (>= 1.2.1),
  python3-etcd3gw (>= 0.1.0),

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*))'
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_blocking_settings|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_timeout_settings|test_coordination\.TestAPI\.test_lock_context_manager_acquire_argument))'
 	$(CURDIR)/debian/check-memcached-off
 endif
